package com.muyu.data.processing.controller;


import com.muyu.common.kafka.constants.KafkaConstants;
import com.muyu.data.processing.domain.req.TestReq;
import com.muyu.data.processing.domain.resp.TestResp;
import com.muyu.data.processing.strategy.root.RootStrategy;
import jakarta.annotation.Resource;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.messaging.MessageHeaders;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.messaging.Message;

/**
 * @Author: 胡杨
 * @Name: Test
 * @Description:
 * @CreatedDate: 2024/9/27 上午10:54
 * @FilePath: com.muyu.data.processing.controller
 */
@Slf4j
@RestController
@RequestMapping("/Test")
public class TestController {
    @Resource
    private KafkaTemplate<String,Object> kafkaTemplate;

    @GetMapping("/testKafka")
    @Transactional
    public void sendMsg(@RequestParam("msg") String msg) {
        try {
            kafkaTemplate.send(KafkaConstants.KafkaTopic, msg).get();
            System.out.println("同步消息发送成功: " + msg);
        } catch (Exception e) {
            e.printStackTrace();
            System.out.println("同步消息发送失败: " + msg);
        }
    }


    @Resource
    private RootStrategy rootStrategy;

    @PostMapping("/testStrategy")
    public TestResp testStrategy(@RequestBody TestReq testReq) {
        return rootStrategy.applyStrategy(testReq);
    }
}
