package com.muyu.data.processing.kafka;


import com.muyu.common.kafka.constants.KafkaConstants;
import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;

/**
 * @Author: 胡杨
 * @Name: KafkaConsumerService
 * @Description: kafka消费者
 * @CreatedDate: 2024/9/27 上午9:27
 * @FilePath: com.muyu.data.processing.kafka
 */

@Slf4j
@Component
public class KafkaConsumerService {

    @KafkaListener(topics = {KafkaConstants.KafkaTopic}, groupId = KafkaConstants.KafkaGrop)
    public void listen(String msg) {
        log.info("kafka 消费消息：{}", msg);
    }
}
