package com.muyu.data.processing.service;


import com.muyu.data.processing.domain.IotDbData;

import java.util.List;

/**
 * 数据处理业务层
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 数据处理业务层
 * @CreatedDate: 2024/9/28 下午3:52
 * @FilePath: com.muyu.data.processing.server
 */

public interface DataProcessingService{
    /**
     * 创建车辆报文记录
     *
     * @param data 数据
     * @return {@link Integer }
     */
    Integer createCarData(IotDbData data);

    /**
     * 更新车辆报文记录
     *
     * @param data 数据
     * @return {@link Integer }
     */
    Integer updateCarData(IotDbData data);

    /**
     * 删除车辆报文记录
     *
     * @param timestamp 时间戳
     * @return {@link Integer }
     */
    Integer deleteCarData(String timestamp);

    /**
     * 创建车辆报文记录组
     *
     * @return {@link Integer }
     */
    Integer createCarDataGroup();

    /**
     * 查询顺序
     *
     * @return {@link List }<{@link IotDbData }>
     */
    List<IotDbData> queryCarData();
    /**
     * 选择存储组
     *
     * @return {@link List }<{@link String }>
     */
    List<String> selectStorageGroup();

}
