package com.muyu.data.processing.service.impl;


import javax.annotation.Resource;

import com.muyu.data.processing.domain.IotDbData;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.muyu.data.processing.mapper.DataProcessingMapper;
import com.muyu.data.processing.service.DataProcessingService;

import java.util.List;

/**
 * 数据处理实现层
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 数据处理实现层
 * @CreatedDate: 2024/9/28 下午3:52
 * @FilePath: com.muyu.data.processing.server.impl
 */

@Slf4j
@Service
public class DataProcessingServiceImpl implements DataProcessingService {
    @Resource
    private DataProcessingMapper mapper;

    @Override
    public Integer createCarData(IotDbData data) {
        return mapper.createCarData(data);
    }

    @Override
    public Integer updateCarData(IotDbData data) {
        return mapper.updateCarData(data);
    }

    @Override
    public Integer deleteCarData(String timestamp) {
        return mapper.deleteCarData(timestamp);
    }

    @Override
    public Integer createCarDataGroup() {
        try {
            Integer flag = mapper.createCarDataGroup();
            Integer flagEle = mapper.createCarDataGroupElement();
            System.out.println("\n\t执行sql数量为{}" + flagEle);
            return flagEle;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return 0;
    }

    @Override
    public List<IotDbData> queryCarData() {
//        return mapper.queryCarData();
        return null;
    }

    @Override
    public List<String> selectStorageGroup() {
        return mapper.selectStorageGroup();
    }


}
