package com.muyu.data.processing.strategy;

/**
 * 策略控制者接口
 * @Author: 胡杨
 * @Name: StrategyHandler
 * @Description: 策略控制者接口
 * @CreatedDate: 2024/9/28 上午9:35
 * @FilePath: com.muyu.data.processing.strategy
 */
public interface StrategyHandler<T,R> {

    @SuppressWarnings("rawtypes")
    StrategyHandler DEFAULT = t -> null;

    /**
     * 执行方法
     * @param t 入参
     * @return  返回结果
     */
    R apply(T t);
}
