package com.muyu.data.processing.strategy.leaves;

import com.muyu.data.processing.domain.req.TestReq;
import com.muyu.data.processing.domain.resp.TestResp;
import com.muyu.data.processing.strategy.StrategyHandler;
import com.muyu.data.processing.strategy.abstractStrategyRouter;
import com.muyu.data.processing.strategy.branch.OneBranchStrategy;
import com.muyu.data.processing.strategy.branch.TwoBranchStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 1号处理者
 *
 * @Author: 胡杨
 * @Name: OneLeavesStrategy
 * @Description: 1号处理者
 * @CreatedDate: 2024/9/28 上午11:54
 * @FilePath: com.muyu.data.processing.strategy.leaves
 */

@Slf4j
@Component
public class OneLeavesStrategy implements StrategyHandler<TestReq, TestResp> {
    @Override
    public TestResp apply(TestReq testReq) {
        log.info("1号处理者实现,参数1:{},参数2:{},执行方法:{},结果:{}", testReq.getOne(), testReq.getTwo(), testReq.getType2(), (testReq.getOne()+testReq.getTwo()));
        return new TestResp("执行1号处理者-加法");
    }

}
