package com.muyu.data.processing.strategy.root;

import com.muyu.common.core.utils.StringUtils;
import com.muyu.data.processing.domain.StrategyEums;
import com.muyu.data.processing.domain.req.TestReq;
import com.muyu.data.processing.domain.resp.TestResp;
import com.muyu.data.processing.strategy.StrategyHandler;
import com.muyu.data.processing.strategy.abstractStrategyRouter;
import com.muyu.data.processing.strategy.branch.OneBranchStrategy;
import com.muyu.data.processing.strategy.branch.TwoBranchStrategy;
import com.muyu.data.processing.strategy.leaves.FourLeavesStrategy;
import com.muyu.data.processing.strategy.leaves.OneLeavesStrategy;
import com.muyu.data.processing.strategy.leaves.ThreeLeavesStrategy;
import com.muyu.data.processing.strategy.leaves.TwoLeavesStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 策略路由实现
 *
 * @Author: 胡杨
 * @Name: RootStrategy
 * @Description: 策略路由实现
 * @CreatedDate: 2024/9/28 上午10:39
 * @FilePath: com.muyu.data.processing.strategy.impl
 */

@Slf4j
@Component
public class RootStrategy extends abstractStrategyRouter<TestReq, TestResp> {
    @Override
    protected StrategyMapper<TestReq , TestResp> registerStrategy() {
        return param -> StrategyEums.getStrategy(param.getType1());
    }

}
